Subject: Re: bug#7190: Crash in menus on w32

From: Lennart Borgman <[email-masked]>
Date: Mon, 11 Oct 2010 23:21:27 +0200

On Mon, Oct 11, 2010 at 9:20 PM, Eli Zaretskii <[email-masked]> wrote:
>> From: Lennart Borgman <[email-masked]>
>> Date: Mon, 11 Oct 2010 17:13:55 +0200
>> Cc:
>>
>> Crash in menus on w32, my patched version of course. Any suggestions?
>>
>>
>> warning: HEAP[emacs.exe]:
>> warning: Invalid Address specified to RtlFreeHeap( 00850000, 0088BDC8 )
>>
>>
>> Program received signal SIGTRAP, Trace/breakpoint trap.
>> 0x7c90120f in ntdll!DbgUiConnectToDbg () from C:\WINDOWS\system32\ntdll.dll
>> (gdb) bt
>> #0  0x7c90120f in ntdll!DbgUiConnectToDbg ()
>>    from C:\WINDOWS\system32\ntdll.dll
>> #1  0x7c96e139 in ntdll!RtlpNtMakeTemporaryKey ()
>>    from C:\WINDOWS\system32\ntdll.dll
>> #2  0x7c96e576 in ntdll!RtlpNtMakeTemporaryKey ()
>>    from C:\WINDOWS\system32\ntdll.dll
>> #3  0x7c96f75e in ntdll!RtlpNtMakeTemporaryKey ()
>>    from C:\WINDOWS\system32\ntdll.dll
>> #4  0x7c94bc4c in ntdll!LdrFindEntryForAddress ()
>>    from C:\WINDOWS\system32\ntdll.dll
>> #5  0x00850000 in ?? ()
>> #6  0x7c927573 in ntdll!RtlPcToFileHeader ()
>>    from C:\WINDOWS\system32\ntdll.dll
>> #7  0x011c4e4b in w32_free_submenu_strings (menu=0x205e3) at w32menu.c:1701
>
> Looks identical to bug #7170.  Why did you open a new one?

Yes, it was a bit stupid to open a new one.

> And I don't understand what suggestion do you expect.  This happened
> only for you so far, so you need to debug it on your machine.
>
> One thing to do would be to see, each time this happen, which menu,
> submenu, menu item(s) are involved.  If they are the same every time,
> you will have to take a closer look at the code which creates them.

I will try to remember what I did next time. I was in a hurry when
this happened so I am not quite sure.

Maybe it would be useful to trace the order of events with DebPrint
since they seem to be wrong? Any suggestions on what to trace?